import { Hono, Context } from 'hono';
import { PostService } from '@blog/services/post-file';
import { Feed } from 'feed';

const feed = new Hono<{ Variables: { postService: PostService }}>();
let feedBuffer: string = "";

export async function getFeedFile(c: Context) {
  c.header('Content-Type', 'text/xml');

  if (!feedBuffer) {
    const postService: PostService = c.get('postService');
    const posts = postService.getPublishedPosts();

    // get the site meta

    // create the feed
    // get the feed data
    feedBuffer = "";
  }

  c.body(feedBuffer);
}

feed.get('/rss.xml', getFeedFile);
export default feed;
